Authentication
Your Console comes with a powerful, comprehensive RESTful API that you can access within your app. Generate gameplay URLs, retrieve scores, and more.
Generate a JWT Bearer Token
Returns a JSON Web Token (JWT) you can use to authenticate API calls to 2bttns.
You can get the app_id and secret from your 2bttns admin console, under Settings/Apps.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
app_idstringRequired
secretstringRequired
expires_instringOptional
Responses
200
Successful response
application/json
stringOptional
default
Error response
application/json
get
/authentication/tokenReturns a message that tells you what type of authentication you used to call this endpoint, if you are authenticated.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200
Successful response
application/json
stringOptional
default
Error response
application/json
get
/authentication/checkAuthTypeOpenAPI and your Console

Last updated